| Home | Libraries | People | FAQ | More

## Function template is_sorted

boost::algorithm::is_sorted

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename ForwardIterator, typename Pred>
      BOOST_CXX14_CONSTEXPR bool
      is_sorted(ForwardIterator first, ForwardIterator last, Pred p);

## Description

Parameters: |
`first` | The start of the sequence to be tested.
`last` | One past the end of the sequence
`p` | A binary predicate that returns true if two elements are ordered.
Returns: | whether or not the entire sequence is sorted